Page MenuHomePhabricator

Stop creating a new wiki every year for Wikimania
Closed, ResolvedPublic

Description

I think it would be terrific to to combine/have one but is this extra work? Usually we just create a single one each year.... Whatever you think would work best. We need to get this done asap so the folks can announce/put up the conference wiki in the next couple of weeks for 2018.... Thanks, ellie

Given this, and no clear ownership for making the decision for a combined wiki, let's simply create wikimania2018.wm.o for now and *immediately* file a task about a combined wiki moving forward that we can bike-shed on for at most 11 months (before the call for wikimania2019.wm.o is filed).

Discussion for one consolidated wiki
There are ongoing concerns to consolidate all Wikimania wikis into one, with a suggestion given by @Addshore to use namespace per year.
@faidon expressed concerns about search, addressed with the suggestion to configure search to be tied to the current edition by default.
That would have benefits for contributors: templates would be there and available, everything would already be configured.
Proposal to move forward
It could be interesting to create this wiki as wikimaniawiki, and experiment this unique wiki for the 2018 and 2019 editions, with the "one year, one namespace" pattern and see if it works well.
After the 2019, we'll be able to see if it works well. If so, we'll use this wiki for 2020+ editions too, if not we'll create wikimania2020wiki.

Event Timeline

Reedy created this task.Jul 18 2018, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2018, 6:14 PM
Peachey88 added a subscriber: Peachey88.

This needs to be done at some stage, lets just rip off the bandaid and do it this year.

Change 446786 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/446786

elukey added a subscriber: elukey.Jul 20 2018, 1:23 PM
Reedy updated the task description. (Show Details)Jul 20 2018, 2:14 PM
Reedy added subscribers: Dereckson, faidon, Addshore.
Stryn added a subscriber: Stryn.Jul 24 2018, 7:23 PM
Stryn removed a subscriber: Stryn.Jul 24 2018, 7:26 PM
Stryn added a subscriber: Stryn.

Change 448064 had a related patch set uploaded (by Reedy; owner: Reedy):
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/448064

Change 446786 merged by Elukey:
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/446786

Change 448064 merged by Elukey:
[operations/puppet@production] Add wikimania.wikimedia.org to apache ServerAlias

https://gerrit.wikimedia.org/r/448064

Dzahn added a subscriber: Dzahn.Aug 28 2018, 6:30 PM

This seems done since T199509 is resolved and now it's just about not doing something again in the future.

Jdforrester-PERSONAL closed this task as Resolved.Jan 25 2019, 4:18 PM
Jdforrester-PERSONAL claimed this task.

This seems done since T199509 is resolved and now it's just about not doing something again in the future.

Yes, though properly it's blocked on T202684 still.